public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/nim/
Date: Thu, 24 Nov 2022 04:13:38 +0000 (UTC)	[thread overview]
Message-ID: <1669262670.9c7288b0374e4506a1c7f7054e06e37b7ebbde66.xgqt@gentoo> (raw)

commit:     9c7288b0374e4506a1c7f7054e06e37b7ebbde66
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 23 23:32:28 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Nov 24 04:04:30 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c7288b0

dev-lang/nim: bump to 1.6.10

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-lang/nim/Manifest          |   1 +
 dev-lang/nim/nim-1.6.10.ebuild | 108 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 109 insertions(+)

diff --git a/dev-lang/nim/Manifest b/dev-lang/nim/Manifest
index cf68860e31b4..9266eadbb25f 100644
--- a/dev-lang/nim/Manifest
+++ b/dev-lang/nim/Manifest
@@ -1,3 +1,4 @@
+DIST nim-1.6.10.tar.xz 5216284 BLAKE2B d5b7bdc488086260b84700e3022ff7fc45b98d78574a3d2e288c95968a580fa644e47612dc60d6e63f5e85687f5b59a28128be746abc55bd6d4527344dc3ab14 SHA512 2ba6c4db68030ace2b4dd9b7f85d2b7c882c62e8f7f68bd0b82f548c91c300ab0e03c66f56c678127058f56b75a5550dec48d68eb6d666a179994cd1a6e2cc47
 DIST nim-1.6.4.tar.xz 5130208 BLAKE2B d0f297581677bbb9fb185a8b4198f48bb58efe81a1624f62051bc1e0a93f879a0cec172f11a41784ca715ba3c151dc5307e96c15c54908aa40df406040891d6c SHA512 f4d082f37f0e675e8cdb4340d67f2e58b5e6ac5bb51dab1ded5417097f3b86d71fa585ef12ee1c3cd5b17285589cbe9d5658fcb29c98547f7967a1b6f0cb4646
 DIST nim-1.6.6.tar.xz 5149956 BLAKE2B 2fd1b40f1ecc1200255052d9e013c55287d3e01337146d0b1386d0f3fc9c14fda1e8e82ee289e782c77a573c1ae0985ea7f900f61e6b9824a9eb4b5c803c7f71 SHA512 6ea8d3f61adae48184dd0e3ac393296fd3bd5ead818e7dee949f43eccbd0b6229ebfc474353ddd63cc734f82c3247998fbfe88362061983f978ad8d0ab7fa677
 DIST nim-1.6.8.tar.xz 5219880 BLAKE2B 16eac6f302b4ef1df14deaa0350e0e5553c7613515cc3e79cbe025af70955bef29c8261a1f91ba901023d9c53f9f00d62116301eb5a4ee4bb5314bb1e25a5755 SHA512 dd046dd393136fdcb78f463e267756bdb990b08e80e3a8be7fec1995b47a930447468e12bb9a59db6ec5546117f62ff4ccd032959879ef2d1d06a7bc5c438f83

diff --git a/dev-lang/nim/nim-1.6.10.ebuild b/dev-lang/nim/nim-1.6.10.ebuild
new file mode 100644
index 000000000000..00b90b784ff9
--- /dev/null
+++ b/dev-lang/nim/nim-1.6.10.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit bash-completion-r1 edo multiprocessing toolchain-funcs xdg-utils
+
+DESCRIPTION="compiled, garbage-collected systems programming language"
+HOMEPAGE="https://nim-lang.org/"
+SRC_URI="
+	https://nim-lang.org/download/${P}.tar.xz
+	experimental? (
+		https://git.sr.ht/~cyber/${PN}-patches/archive/1.6.6.tar.gz
+			-> ${PN}-patches-1.6.6.tar.gz
+	)
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="debug experimental"
+RESTRICT="test"  # need to sort out depends and numerous failures
+
+# BDEPEND="sys-process/parallel"
+# BDEPEND="test? ( net-libs/nodejs )"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-0.20.0-paths.patch
+	"${FILESDIR}"/${PN}-1.6.6-csources-flags.patch
+)
+
+# Borrowed from nim-utils.eclass (guru overlay).
+nim_gen_config() {
+	cat > nim.cfg <<- EOF || die "Failed to create Nim config"
+	cc:"gcc"
+	gcc.exe:"$(tc-getCC)"
+	gcc.linkerexe:"$(tc-getCC)"
+	gcc.cpp.exe:"$(tc-getCXX)"
+	gcc.cpp.linkerexe:"$(tc-getCXX)"
+	gcc.options.speed:"${CFLAGS}"
+	gcc.options.size:"${CFLAGS}"
+	gcc.options.debug:"${CFLAGS}"
+	gcc.options.always:"${CPPFLAGS}"
+	gcc.options.linker:"${LDFLAGS}"
+	gcc.cpp.options.speed:"${CXXFLAGS}"
+	gcc.cpp.options.size:"${CXXFLAGS}"
+	gcc.cpp.options.debug:"${CXXFLAGS}"
+	gcc.cpp.options.always:"${CPPFLAGS}"
+	gcc.cpp.options.linker:"${LDFLAGS}"
+
+	$([[ "${NOCOLOR}" == true || "${NOCOLOR}" == yes ]] && echo '--colors:"off"')
+	-d:"$(usex debug debug release)"
+	--parallelBuild:"$(makeopts_jobs)"
+	EOF
+}
+
+src_prepare() {
+	default
+
+	# note: there are consumers in the ::guru overlay
+	use experimental && eapply "${WORKDIR}"/${PN}-patches-1.6.6
+}
+
+src_configure() {
+	xdg_environment_reset  # bug 667182
+
+	unset NIMBLE_DIR
+	tc-export CC CXX LD
+
+	nim_gen_config
+}
+
+src_compile() {
+	local -x PATH="${S}/bin:${PATH}"
+
+	# Build from C sources
+	# Compiling with sys-process/parallel fails for some reason but hopefully
+	# we'll be able to enable it later...
+	edo bash build.sh  # --parallel "$(makeopts_jobs)"
+
+	edo ./bin/nim compile koch
+	edo ./koch boot -d:nimUseLinenoise --skipParentCfg:off
+	edo ./koch tools
+}
+
+src_test() {
+	local -x PATH="${S}/bin:${PATH}"
+
+	edo ./koch test
+}
+
+src_install() {
+	local -x PATH="${S}/bin:${PATH}"
+
+	edo ./koch install "${ED}"
+
+	# "./koch install" installs only "nim" binary
+	# but not the rest
+	exeinto /usr/bin
+	local exe
+	for exe in bin/* ; do
+		[[ "${exe}" == bin/nim ]] && continue
+		doexe "${exe}"
+	done
+
+	newbashcomp tools/nim.bash-completion nim
+	newbashcomp dist/nimble/nimble.bash-completion nimble
+}


             reply	other threads:[~2022-11-24  4:13 UTC|newest]

Thread overview: 90+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-11-24  4:13 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-26 18:30 [gentoo-commits] repo/gentoo:master commit in: dev-lang/nim/ Maciej Barć
2025-02-19 22:18 Maciej Barć
2024-10-05 21:44 Maciej Barć
2024-10-02  9:49 Maciej Barć
2024-09-11 23:59 Sam James
2024-08-08 12:06 Maciej Barć
2024-08-08 11:03 Maciej Barć
2024-08-08 11:03 Maciej Barć
2024-07-21 20:33 Arthur Zamarin
2024-05-24  0:34 Sam James
2024-04-19 12:44 Maciej Barć
2024-04-17 22:10 Maciej Barć
2023-09-02 13:08 Maciej Barć
2023-08-12  7:52 Arthur Zamarin
2023-08-01 18:53 Maciej Barć
2023-08-01 18:53 Maciej Barć
2023-05-05 12:03 Maciej Barć
2023-04-12  1:50 Sam James
2023-03-11  8:02 Maciej Barć
2023-03-11  8:02 Maciej Barć
2023-02-28 18:03 Maciej Barć
2023-02-26 18:27 Arthur Zamarin
2023-01-03 20:30 Maciej Barć
2023-01-03 20:30 Maciej Barć
2022-09-29  0:22 Maciej Barć
2022-09-29  0:22 Maciej Barć
2022-07-13 21:19 Maciej Barć
2022-07-13 21:19 Maciej Barć
2022-07-13 21:19 Maciej Barć
2022-07-13 21:19 Maciej Barć
2022-05-06 20:19 Maciej Barć
2022-03-10 23:12 Sam James
2022-02-16 11:33 Maciej Barć
2021-12-25 20:31 Maciej Barć
2021-12-25 20:28 Maciej Barć
2021-12-25 20:03 Maciej Barć
2021-12-25 20:03 Maciej Barć
2021-07-02  7:17 Sergei Trofimovich
2021-06-05 10:50 Sergei Trofimovich
2021-05-25 22:47 Sergei Trofimovich
2021-04-24 12:37 Sergei Trofimovich
2021-04-16 19:18 Sergei Trofimovich
2021-02-26 10:25 Sergei Trofimovich
2021-02-24  8:16 Sergei Trofimovich
2020-12-12 21:30 Sergei Trofimovich
2020-12-04 20:58 Sergei Trofimovich
2020-12-04 15:27 Sergei Trofimovich
2020-12-04  0:35 Sergei Trofimovich
2020-10-18 12:31 Sergei Trofimovich
2020-10-16 21:12 Sergei Trofimovich
2020-08-01 15:35 Sergei Trofimovich
2020-07-31 22:53 Sergei Trofimovich
2020-06-28 22:43 Sergei Trofimovich
2020-06-27 18:49 Sergei Trofimovich
2020-06-20 19:49 Sergei Trofimovich
2020-06-17 21:47 Sergei Trofimovich
2020-05-24 22:10 Sergei Trofimovich
2020-05-02 17:51 Sergei Trofimovich
2020-04-04 20:18 Sergei Trofimovich
2020-02-26 17:39 Sergei Trofimovich
2020-02-12 22:32 Sergei Trofimovich
2020-01-29  0:12 Sergei Trofimovich
2019-11-27 23:56 Sergei Trofimovich
2019-11-09 15:59 Sergei Trofimovich
2019-11-09 15:49 Sergei Trofimovich
2019-09-23 22:51 Sergei Trofimovich
2019-07-17 21:14 Sergei Trofimovich
2019-05-14  7:31 Sergei Trofimovich
2019-05-14  7:31 Sergei Trofimovich
2019-02-02 18:08 Sergei Trofimovich
2019-01-01 21:14 Sergei Trofimovich
2019-01-01 21:14 Sergei Trofimovich
2018-09-28 21:32 Sergei Trofimovich
2018-03-11 14:39 Sergei Trofimovich
2018-03-04 17:06 Sergei Trofimovich
2018-03-04 10:12 Sergei Trofimovich
2018-03-02 20:52 Sergei Trofimovich
2017-10-10  9:51 Sergei Trofimovich
2017-10-09 19:21 Sergei Trofimovich
2017-09-09  9:43 Sergei Trofimovich
2017-07-04 21:56 Sergei Trofimovich
2017-05-18 20:23 Sergei Trofimovich
2017-01-22 11:40 Sergei Trofimovich
2017-01-11  6:09 Sergei Trofimovich
2016-10-24 21:33 Sergei Trofimovich
2016-10-24 21:13 Sergei Trofimovich
2016-10-01  9:25 Sergei Trofimovich
2016-07-28 20:42 Sergei Trofimovich
2016-07-28 20:40 Sergei Trofimovich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1669262670.9c7288b0374e4506a1c7f7054e06e37b7ebbde66.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox